if doc and doc.exit then
    doc.exit()
end

doc = {}

doc.settings = {
    name = "DOC", -- information required by logger: name, debug_levels
    debug_levels = {  -- 0 - print no messages (but critical errors), 10 - print everything
    other   = 10 },
}

doc.state = {}

doc.state = {
    health = -1,
    mana = -1,
    fatigue = -1,
    drink = -1,
    food = -1,
    intoxication = -1,
}

function doc.updateVital(v, stat)
    if v[stat] and db.stats[stat] then
        local val = table.index_of(db.stats[stat], v[stat])
        if (val) then
            if val ~= doc.state[stat] then
                doc.state[stat] = val
                --log.info(doc, nil, "Vitals updated: %s = %d.\n", stat, val)
                if ui.hasGauge(stat) then
                    -- update ui
                    ui.setGauge(stat, val - 1, #db.stats[stat] - 1, v[stat])
                end
            end
        end

    end
end

function doc.updateVitals()
    local v = gmcp.char.vitals
    doc.updateVital(v, "health")
    doc.updateVital(v, "mana")
    doc.updateVital(v, "fatigue")
    doc.updateVital(v, "food")
    doc.updateVital(v, "drink")
    doc.updateVital(v, "intoxication")
end


-- Initialize
if doc and doc.init then
    doc.init()
end
